%define upstream_name    Test-Moose-More
%define upstream_version 0.050

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    More tools for testing Moose packages
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::OptList)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Meta::Attribute)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util)
BuildRequires: perl(Moose::Util::MetaRole)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter::Progressive)
BuildRequires: perl(Syntax::Keyword::Junction)
BuildRequires: perl(TAP::SimpleOutput) >= 0.9.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::Builder::Tester)
BuildRequires: perl(Test::CheckDeps) >= 0.10.0
BuildRequires: perl(Test::Moose)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This package contains a number of additional tests that can be employed
against Moose classes/roles. It is intended to replace the Test::Moose
manpage in your tests, and reexports any tests that it has and we do not,
yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.50.0-5.mga9
+ Revision: 1810359
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.50.0-4.mga8
+ Revision: 1506458
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.50.0-3.mga7
+ Revision: 1286678
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.50.0-2.mga7
+ Revision: 1166838
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.50.0-1.mga7
+ Revision: 1159463
- update to 0.050

* Sun Jun 19 2016 pterjan <pterjan> 0.37.0-2.mga6
+ Revision: 1034399
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.37.0-1.mga6
+ Revision: 1002312
- update to 0.037

* Fri Feb 19 2016 umeabot <umeabot> 0.35.0-2.mga6
+ Revision: 969723
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.35.0-1.mga6
+ Revision: 873661
- update to 0.035

* Thu Jul 30 2015 sander85 <sander85> 0.33.0-1.mga6
+ Revision: 859033
- update to 0.033

* Mon Jul 13 2015 sander85 <sander85> 0.32.0-1.mga6
+ Revision: 853634
- update to 0.032

* Sat Jul 04 2015 sander85 <sander85> 0.31.0-1.mga6
+ Revision: 849940
- update to 0.031

* Sat Oct 18 2014 umeabot <umeabot> 0.24.0-4.mga5
+ Revision: 787847
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.24.0-3.mga5
+ Revision: 747138
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.24.0-2.mga5
+ Revision: 686496
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.24.0-1.mga5
+ Revision: 624435
- update to 0.024

* Mon Feb 10 2014 jquelin <jquelin> 0.23.0-1.mga5
+ Revision: 588704
- update to 0.023

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 531258
- Mageia 4 Mass Rebuild

* Fri Aug 02 2013 sander85 <sander85> 0.20.0-1.mga4
+ Revision: 462698
- update to 0.020

* Mon Jun 10 2013 jquelin <jquelin> 0.19.0-1.mga4
+ Revision: 441785
- update to 0.019

* Sun Jan 13 2013 umeabot <umeabot> 0.17.0-3.mga3
+ Revision: 373653
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 0.17.0-2.mga3
+ Revision: 316093
- bs ate previous submission

* Wed Nov 07 2012 jquelin <jquelin> 0.17.0-1.mga3
+ Revision: 315879
- update to 0.017

* Wed Sep 26 2012 jquelin <jquelin> 0.11.0-2.mga3
+ Revision: 298321
- package eaten by bs

* Wed Sep 26 2012 jquelin <jquelin> 0.11.0-1.mga3
+ Revision: 298298
- imported package perl-Test-Moose-More


* Wed Sep 26 2012 cpan2dist 0.011-1mga
- initial mageia release, generated with cpan2dist
